Skip site navigation (1) Skip section navigation (2)

Re: pg_upgrade invalid option

From: Thom Brown <thombrown(at)gmail(dot)com>
To: Dave Page <dpage(at)pgadmin(dot)org>
Cc: pgsql-docs <pgsql-docs(at)postgresql(dot)org>
Subject: Re: pg_upgrade invalid option
Date: 2010-06-11 14:01:11
Message-ID: AANLkTilLpicS1DnuN2mZkxaXoFfT-Jz5vzeoSXE2pPJS@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-docs
On 11 June 2010 14:55, Dave Page <dpage(at)pgadmin(dot)org> wrote:
> On Fri, Jun 11, 2010 at 2:50 PM, Thom Brown <thombrown(at)gmail(dot)com> wrote:
>> I've tried following the instructions on this page:
>> http://www.postgresql.org/files/documentation/books/aw_pgsql/node267.html
>>
>> This mentions a -f option but my version of pg_upgrade doesn't appear
>> to support this:
>>
>> /usr/lib64/postgresql-9.0/bin/pg_upgrade: invalid option -- 'f'
>>
>> The only options available are:
>>
> <snip>
>
>> Are those instructions for an older version?
>>
>
> That's Bruce's book which is probably 8 or 9 years old now. It's
> almost certainly referring to the old pg_upgrade shell script from
> years ago.
>

Ah, unfortunately that's the first result in Google.  I've resorted to
restoring from a full backup :(  I don't think I could use it for
upgrading from beta 1 to beta 2 anyway by the looks of things.  The
binary directories are updated since they share the same version
number.

Thom

In response to

Responses

pgsql-docs by date

Next:From: Bruce MomjianDate: 2010-06-12 01:20:51
Subject: Re: Cognitive dissonance
Previous:From: Dave PageDate: 2010-06-11 13:55:40
Subject: Re: pg_upgrade invalid option

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group